sf2::Region Class Reference

Instrument zone. More...

`#include <SF.h>`

## Public Member Functions

Sample * | GetSample ()
Region * | GetParent ()
int | GetUnityNote ()
Instrument * | GetParentInstrument ()
int | GetPan (Region *pPresetRegion=NULL)
int | GetFineTune (Region *pPresetRegion=NULL)
int | GetCoarseTune (Region *pPresetRegion=NULL)
double | GetEG1PreAttackDelay (Region *pPresetRegion=NULL)
double | GetEG1Attack (Region *pPresetRegion=NULL)
double | GetEG1Hold (Region *pPresetRegion=NULL)
double | GetEG1Decay (Region *pPresetRegion=NULL)
int | GetEG1Sustain (Region *pPresetRegion=NULL)
double | GetEG1Release (Region *pPresetRegion=NULL)
double | GetEG2PreAttackDelay (Region *pPresetRegion=NULL)
double | GetEG2Attack (Region *pPresetRegion=NULL)
double | GetEG2Hold (Region *pPresetRegion=NULL)
double | GetEG2Decay (Region *pPresetRegion=NULL)
int | GetEG2Sustain (Region *pPresetRegion=NULL)
double | GetEG2Release (Region *pPresetRegion=NULL)
int | GetModEnvToPitch (Region *pPresetRegion=NULL)
int | GetModLfoToPitch (Region *pPresetRegion=NULL)
int | GetModEnvToFilterFc (Region *pPresetRegion=NULL)
int | GetModLfoToFilterFc (Region *pPresetRegion=NULL)
double | GetModLfoToVolume (Region *pPresetRegion=NULL)
double | GetFreqModLfo (Region *pPresetRegion=NULL)
double | GetDelayModLfo (Region *pPresetRegion=NULL)
int | GetVibLfoToPitch (Region *pPresetRegion=NULL)
double | GetFreqVibLfo (Region *pPresetRegion=NULL)
double | GetDelayVibLfo (Region *pPresetRegion=NULL)
int | GetInitialFilterFc (Region *pPresetRegion)
int | GetInitialFilterQ (Region *pPresetRegion)

## Public Attributes

int | loKey
int | hiKey
int | minVel
int | maxVel
int | pan
int | fineTune
int | coarseTune
int | overridingRootKey
int | startAddrsOffset
int | startAddrsCoarseOffset
int | endAddrsOffset
int | endAddrsCoarseOffset
int | startloopAddrsOffset
int | startloopAddrsCoarseOffset
int | endloopAddrsOffset
int | endloopAddrsCoarseOffset
int | modEnvToPitch
int | modLfoToPitch
int | modEnvToFilterFc
int | modLfoToFilterFc
int | modLfoToVolume
int | freqModLfo
int | delayModLfo
int | vibLfoToPitch
int | freqVibLfo
int | delayVibLfo
int | initialFilterFc
int | initialFilterQ
uint | exclusiveClass
Sample * | pSample
bool | HasLoop
uint | LoopStart
uint | LoopEnd
Instrument * | pInstrument
std::vector< ModulatorItem > | modulators

## Detailed Description

Instrument zone.

Definition at line 355 of file SF.h.

## Constructor & Destructor Documentation

## Region()

sf2::Region::Region | ( |  | ) |

Definition at line 263 of file SF.cpp.

## Member Function Documentation

## GetCoarseTune()

int sf2::Region::GetCoarseTune | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 573 of file SF.cpp.

## GetDelayModLfo()

double sf2::Region::GetDelayModLfo | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 689 of file SF.cpp.

## GetDelayVibLfo()

double sf2::Region::GetDelayVibLfo | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 707 of file SF.cpp.

## GetEG1Attack()

double sf2::Region::GetEG1Attack | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 587 of file SF.cpp.

## GetEG1Decay()

double sf2::Region::GetEG1Decay | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 599 of file SF.cpp.

## GetEG1Hold()

double sf2::Region::GetEG1Hold | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 593 of file SF.cpp.

## GetEG1PreAttackDelay()

double sf2::Region::GetEG1PreAttackDelay | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 581 of file SF.cpp.

## GetEG1Release()

double sf2::Region::GetEG1Release | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 611 of file SF.cpp.

## GetEG1Sustain()

int sf2::Region::GetEG1Sustain | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 605 of file SF.cpp.

## GetEG2Attack()

double sf2::Region::GetEG2Attack | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 623 of file SF.cpp.

## GetEG2Decay()

double sf2::Region::GetEG2Decay | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 635 of file SF.cpp.

## GetEG2Hold()

double sf2::Region::GetEG2Hold | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 629 of file SF.cpp.

## GetEG2PreAttackDelay()

double sf2::Region::GetEG2PreAttackDelay | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 617 of file SF.cpp.

## GetEG2Release()

double sf2::Region::GetEG2Release | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 647 of file SF.cpp.

## GetEG2Sustain()

int sf2::Region::GetEG2Sustain | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 641 of file SF.cpp.

## GetFineTune()

int sf2::Region::GetFineTune | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 565 of file SF.cpp.

## GetFreqModLfo()

double sf2::Region::GetFreqModLfo | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 683 of file SF.cpp.

## GetFreqVibLfo()

double sf2::Region::GetFreqVibLfo | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 701 of file SF.cpp.

## GetInitialFilterFc()

int sf2::Region::GetInitialFilterFc | ( | Region * | pPresetRegion | ) |

Definition at line 713 of file SF.cpp.

## GetInitialFilterQ()

int sf2::Region::GetInitialFilterQ | ( | Region * | pPresetRegion | ) |

Definition at line 719 of file SF.cpp.

## GetModEnvToFilterFc()

int sf2::Region::GetModEnvToFilterFc | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 665 of file SF.cpp.

## GetModEnvToPitch()

int sf2::Region::GetModEnvToPitch | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 653 of file SF.cpp.

## GetModLfoToFilterFc()

int sf2::Region::GetModLfoToFilterFc | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 671 of file SF.cpp.

## GetModLfoToPitch()

int sf2::Region::GetModLfoToPitch | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 659 of file SF.cpp.

## GetModLfoToVolume()

double sf2::Region::GetModLfoToVolume | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 677 of file SF.cpp.

## GetPan()

int sf2::Region::GetPan | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 557 of file SF.cpp.

## GetParent()

Region * sf2::Region::GetParent | ( |  | ) |

inline

Definition at line 383 of file SF.h.

## GetParentInstrument()

Instrument * sf2::Region::GetParentInstrument | ( |  | ) |

inline

Returns
  The instrument to which this region belongs, or NULL if it's preset region.

Definition at line 391 of file SF.h.

## GetSample()

Sample * sf2::Region::GetSample | ( |  | ) |

inline

Definition at line 382 of file SF.h.

## GetUnityNote()

int sf2::Region::GetUnityNote | ( |  | ) |

Definition at line 295 of file SF.cpp.

## GetVibLfoToPitch()

int sf2::Region::GetVibLfoToPitch | ( | Region * | pPresetRegion = NULL | ) |

Definition at line 695 of file SF.cpp.

## Member Data Documentation

## coarseTune

int sf2::Region::coarseTune

Definition at line 361 of file SF.h.

## delayModLfo

int sf2::Region::delayModLfo

Definition at line 368 of file SF.h.

## delayVibLfo

int sf2::Region::delayVibLfo

Definition at line 370 of file SF.h.

## endAddrsCoarseOffset

int sf2::Region::endAddrsCoarseOffset

Definition at line 363 of file SF.h.

## endAddrsOffset

int sf2::Region::endAddrsOffset

Definition at line 363 of file SF.h.

## endloopAddrsCoarseOffset

int sf2::Region::endloopAddrsCoarseOffset

Definition at line 364 of file SF.h.

## endloopAddrsOffset

int sf2::Region::endloopAddrsOffset

Definition at line 364 of file SF.h.

## exclusiveClass

uint sf2::Region::exclusiveClass

Definition at line 373 of file SF.h.

## fineTune

int sf2::Region::fineTune

Definition at line 360 of file SF.h.

## freqModLfo

int sf2::Region::freqModLfo

Definition at line 367 of file SF.h.

## freqVibLfo

int sf2::Region::freqVibLfo

Definition at line 369 of file SF.h.

## HasLoop

bool sf2::Region::HasLoop

Definition at line 376 of file SF.h.

## hiKey

int sf2::Region::hiKey

Definition at line 357 of file SF.h.

## initialFilterFc

int sf2::Region::initialFilterFc

Definition at line 371 of file SF.h.

## initialFilterQ

int sf2::Region::initialFilterQ

Definition at line 371 of file SF.h.

## loKey

int sf2::Region::loKey

Definition at line 357 of file SF.h.

## LoopEnd

uint sf2::Region::LoopEnd

Definition at line 378 of file SF.h.

## LoopStart

uint sf2::Region::LoopStart

Definition at line 377 of file SF.h.

## maxVel

int sf2::Region::maxVel

Definition at line 358 of file SF.h.

## minVel

int sf2::Region::minVel

Definition at line 358 of file SF.h.

## modEnvToFilterFc

int sf2::Region::modEnvToFilterFc

Definition at line 366 of file SF.h.

## modEnvToPitch

int sf2::Region::modEnvToPitch

Definition at line 366 of file SF.h.

## modLfoToFilterFc

int sf2::Region::modLfoToFilterFc

Definition at line 366 of file SF.h.

## modLfoToPitch

int sf2::Region::modLfoToPitch

Definition at line 366 of file SF.h.

## modLfoToVolume

int sf2::Region::modLfoToVolume

Definition at line 367 of file SF.h.

## modulators

std::vector<ModulatorItem> sf2::Region::modulators

Definition at line 393 of file SF.h.

## overridingRootKey

int sf2::Region::overridingRootKey

Definition at line 362 of file SF.h.

## pan

int sf2::Region::pan

Definition at line 359 of file SF.h.

## pInstrument

Instrument* sf2::Region::pInstrument

Definition at line 379 of file SF.h.

## pSample

Sample* sf2::Region::pSample

Definition at line 375 of file SF.h.

## startAddrsCoarseOffset

int sf2::Region::startAddrsCoarseOffset

Definition at line 363 of file SF.h.

## startAddrsOffset

int sf2::Region::startAddrsOffset

Definition at line 363 of file SF.h.

## startloopAddrsCoarseOffset

int sf2::Region::startloopAddrsCoarseOffset

Definition at line 364 of file SF.h.

## startloopAddrsOffset

int sf2::Region::startloopAddrsOffset

Definition at line 364 of file SF.h.

## vibLfoToPitch

int sf2::Region::vibLfoToPitch

Definition at line 369 of file SF.h.

The documentation for this class was generated from the following files:

- SF.h
- SF.cpp